# Aliases for using twtxt
#
# See https://github.com/buckket/twtxt
# Also see https://github.com/prologic/twtxt and https://twtxt.net/
#

# twtxt timeline
alias twl='twtxt timeline --ascending'

# twtxt publish
alias twp='scp ~/twtxt.txt gmj@port111.com:~/public_html/george/'

# twtxt get current
alias twg='scp gmj@port111.com:~/public_html/george/twtxt.txt ~/'

function twtp () {
    # twtxt twit and post
    twt "$*"
    twp
}

function twt() {
    # TODO Mitigate possible cross-sytem conflicts.  git pull here, add/commit/push after?
    twg && twtxt tweet "$1" && twp || echo failed to tweet
}


# make sure twtxt is on the path 
pathlast ~/.local/bin/
